            <fieldset>
                <legend>Browser Interaction:</legend>
                <dl class="row">
                    <% _.each(browser.urls, function(val) { %>
                        <% if (val.length <= 1000) { %>
                            <dt class="col-sm-3 text-end">QR Code:</dt>
                            <dd class="col-sm-9 wrapLongStrings">
                                <div class="qr-code-text">If the 'Proceed with test' button is clicked after the QR code redirection, the module will return an error</div>
                                <div class="qr-code" data-url="<%- val %>"></div>
                            </dd>
                        <% } %>
                        <dt class="col-sm-3 text-end"><button class="btn btn-sm btn-primary bg-gradient border border-secondary  visitBtn" data-url="<%- val %>" title="To continue the test, click here to open the url to be visited in a new tab">Proceed with test <span class="bi bi-send-fill"></span></button></dt>
                        <dd class="col-sm-9 wrapLongStrings"><i><%- val %></i></dd>
                    <% }); %>
                    <% _.each(browser.visited, function(val) { %>
                        <dt class="col-sm-3"><button class="btn btn-sm btn-light bg-gradient border border-secondary" disabled >Visited <span class="bi bi-send-fill"></span></button></dt>
                        <dd class="col-sm-9 wrapLongStrings"><i><%- val %></i></dd>
                    <% }); %>
                    <% _.each(browser.runners, function(val) { %>
                        <dt class="col-sm-3">Selenium Instance</dt>
                        <dd class="col-sm-9">
                            <div class="card">
                                <div class="card-body">
                                    <dl class="dl-horizontal">
                                        <dt class="col-sm-3">Starting Url</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.url %></i></dd>
                                        <dt class="col-sm-3">Current Url</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.currentUrl %></i></dd>
                                        <dt class="col-sm-3">Current Task</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.currentTask %></i></dd>
                                        <dt class="col-sm-3">Current Command</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.currentCommand %></i></dd>
                                        <dt class="col-sm-3">Last Response Code</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.lastResponseCode %></i></dd>
                                        <dt class="col-sm-3">Last Exception</dt>
                                        <dd class="col-sm-9  wrapLongStrings"><i><%- val.lastException %></i></dd>
                                    </dl>
                                </div>
                            </div>
                        </dd>
                    <% }); %>
                </dl>
            </fieldset>
